Skip to content

Create Portfolio Photo Upload

Required scope: portfolio_file:create

This is step 1 of the public photo upload flow. Call this first, upload the photo directly to the returned signed URL, then call CompletePortfolioPhotoUpload.

Photos may be at most 10 MB. The declared content type must match a supported image format in the uploaded bytes.

Generated Reference
POST /public-api/publicapi.v1.Portfolio/CreatePortfolioPhotoUpload

Creates a short-lived signed upload URL for a portfolio photo.

Request CreatePortfolioPhotoUploadRequest
Response CreatePortfolioPhotoUploadResponse

CreatePortfolioPhotoUploadRequest

Field Type
portfolio_id string
filename string
content_type string
size_bytes int64
visibility PortfolioFileVisibility
description string
created_at optional int64
updated_at optional int64

CreatePortfolioPhotoUploadResponse

Field Type
upload_id string
upload_url string
storage_key string
expires_at int64
headers map<string, string>
{
"portfolioId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"filename": "inspection-photo.jpg",
"contentType": "image/jpeg",
"sizeBytes": 5242880,
"visibility": "PUBLIC_PORTFOLIO_FILE_VISIBILITY_INTERNAL",
"description": "Uploaded from mobile app"
}